Bug 623699 - ISS needs slave to be registered into RHN
ISS needs slave to be registered into RHN
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
540
All Linux
high Severity medium
: ---
: ---
Assigned To: Michael Mráka
Petr Sklenar
: Regression
Depends On:
Blocks: sat540-rhel6-client/sat540-sha256
  Show dependency treegraph
 
Reported: 2010-08-12 10:45 EDT by Petr Sklenar
Modified: 2010-12-11 03:07 EST (History)
5 users (show)

See Also:
Fixed In Version: spacewalk-backend-1.2.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 11:00:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2010-08-12 10:45:41 EDT
Description of problem:
ISS needs slave to be registered into RHN

Version-Release number of selected component (if applicable):
rhel55
sw.nightly
spacewalk-backend-1.2.2-1.el5
spacewalk-schema-1.1.30-1.el5

How reproducible:
always

Steps to Reproduce:
1. add into /etc/rhn/rhn.conf
allowed_iss_slaves=your_slave
master ISS server is = ultraman-1.lab.eng.brq.redhat.com
restart spacewalk

2. satellite-sync --iss-parent=ultraman-1.lab.eng.brq.redhat.com -l --ca-cert /root/cert-from-ultraman
  
Actual results:

[root@test11-64 ~]# satellite-sync --iss-parent=ultraman-1.lab.eng.brq.redhat.com -l --ca-cert /root/cert-from-ultraman
10:44:12 Red Hat Network Satellite - live synchronization
10:44:12    url: https://ultraman-1.lab.eng.brq.redhat.com
10:44:12    debug/output level: 1
10:44:12 
10:44:12 
ERROR: there was a problem synchronizing the information.
       Error message: ERROR: this server must be registered with RHN.


Expected results:
I can ISS without any registering into RHN

Additional info:
Comment 3 Michael Mráka 2010-08-19 08:52:28 EDT
Fixed in master by
commit 3491d546ebe083d9b7350083678a1b48264d2fc0
    Automatic commit of package [spacewalk-backend] release [1.2.7-1].
commit 1ae63d9413faba14631ce9e90b91a76496406167
    623699 - systemid is not mandatory for ISS
Comment 8 Petr Sklenar 2010-09-23 10:30:17 EDT
I tries ISS between:
sat530 (master) sat540(slave)
sat540 (master) sat530(slave)
sat540 (master) sat540(slave)
satellite was and was not activated
--
verified with Satellite-5.4.0-RHEL5-re20100921.0
Comment 12 Clifford Perry 2010-10-28 10:55:19 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.